import { Component } from 'react';
import { propsType as TableProps } from './table';
export interface propsType extends TableProps {
    extraFilter?: Function;
    reloadKey?: string;
    fetchData: Function;
    styleName?: string;
    onPageChange?: Function;
    onPageSizeChange?: Function;
}
interface stateType {
    pageNo: number;
    pageSize_: number;
    dataSource: any[];
    total: number;
    loading: boolean;
}
declare class AsyncTable extends Component<propsType, stateType> {
    constructor(props: any);
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: any, nextState: any): boolean;
    getFilter: (prevProps: any) => boolean;
    componentDidUpdate(prevProps: any, prevState: any): void;
    reset: () => void;
    onPaginationChange(current: any): void;
    getData(): void;
    handlePageSizeChange(size: any): void;
    render(): JSX.Element;
}
export default AsyncTable;
